.header_outherHeader
{
    background-image: url('../img/bg/header.png');
    height: 125px;
    width: 100%;
    background: #FFFFFF;
    box-shadow: 0px 3px 4px #00000012;
}

.header_innerHeader
{
    max-width: 1030px;
    padding:0 20px;
    height: 125px;
    width: 100%;
    margin: auto;
    vertical-align: middle;
}


.header_headerRightBG
{
    position: relative;
    max-width: 1030px;
    width: 100%;
    height: 125px;
}


.header_logo {
    float: left;
    width: 100%;
    max-width: 255px;
    height: auto;
    margin-top: 28px;

}
.header_logo a{
    width: 100%;
    height:auto;
}
.header_logo a img{
    display: block;
    width: 100%;
    height: auto;
}


.header_manageAppointment
{
    margin-top: 15px;
    float: right;
    max-width: 350px;
    color: #585F68;
    width: 100%;
    justify-content: right;
    display: flex;
    flex-wrap: wrap;
    text-align: right;
}

.header_infoAppointment{
    color: #585F68;
    width: 100%;
    margin:2px 0 10px 0;
    text-align: right;
}

.header_manageAppointment input[type="text"]
{
    width: 125px;
    float: left;
    margin-right: 3px;
    height: 40px !important;
    color: #B7B7B7;
    padding: 0px 0 0px 5px;
    background: #FBFBFB 0% 0% no-repeat padding-box;
    border: 1px solid #CECCCC;
    border-radius: 8px;
    outline: none;
    font-size: 13px !important;
}

.login_navigation{
    width: 100%;
    display: flex;
    margin: 15px 0 0 0;
    justify-content: right;
}
        
.header_manageAppointment input[type="text"]:focus
{
    border: 1px solid #7AD2B8;

}
.header_manageAppointment input#manageAppointmentInput:not(:placeholder-shown) {
    color: #B7B7B7;
}
.header_manageAppointment input#manageAppointmentInput:not(:placeholder-shown) {
    color:#585F68;
}
.profileSwitcherContainer  {
    position: absolute;
    right: 0;
    bottom: -101px;
    height: 100px;
    background-color: #fff;
    padding: 10px 15px;
    z-index: 9;
    box-shadow: 0px 3px 4px #00000012;

}
.profileSwitcherContainer .hd_profileSelect {
    height: 45px;
    line-height: 20px;
    max-width: calc(100% - 30px) !important;
    padding: 10px;
    background: #FBFBFB;
    border: 1px solid #CECCCC;
    border-radius: 8px;
}
.profileSwitcherContainer #hd_useProfile{
    background-color: #585f68;
    border-radius: 8px;
}
.profileSwitcherContainer #hd_useProfile:hover{
    background-color: #30b693;
}

.header_manageAppointment button
{
    height: 30px;
    background-color: #118eef;
    background-repeat: repeat-x;
    color: #ffffff;
    font-weight: 700;
    border: none;
}

.header_manageAppointment button:hover
{
    background-color: #2ca3ff;
}
.header_manageAppointment.isAdmin .hd_linkWhenLoggedInAdmin{
    position: fixed;
    right: 0;
    bottom: 0;
    padding: 10px;
    background-color: #515151;
    color: #fff;
    border-top-left-radius: 10px;
    z-index: 999;
}
.header_manageAppointment.isAdmin .hd_linkWhenLoggedInAdmin a{
    color: #fff;
}
.hd_inputSubmit
{
    margin-left: 10px;
}

.hd_linkWhenLoggedIn, .hd_linkWhenLoggedIn:visited, .hd_linkWhenLoggedIn:active, .hd_linkWhenLoggedIn:link
{
    font-size: 15px;
    color: #30b693;
    text-decoration: none;
}


.hd_linkWhenLoggedIn
{
    margin-left: 10px;
}
.hd_linkWhenLoggedIn a
{
    margin-left: 0px;
}
.hd_linkWhenLoggedIn:hover
{
    color: #30b693;
}

.hd_linkWhenLoggedInSmall
{
    font-size: 9px !important;
}

.hd_statusCode
{
    color: red;
    margin-top: 10px;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 5px;
    max-width: fit-content;
}

.hd_statusCode a:link, .hd_statusCode a:visited
{
    color: red;
    font-weight: 700;
    text-decoration: none;
}

.hd_statusCode a:hover
{
    text-decoration: underline;
}


.hd_logoutLink, .hd_logoutLink:link, .hd_logoutLink:visited, .hd_logoutLink:active
{
    float: right;
    margin-right: 0;
    text-transform: uppercase;
    font-weight: 500;
    color: #3e3e3e;
    font-size: 14px;
    text-decoration: underline;
    letter-spacing: 0.3px;
    margin-left: 10px;
}

.hd_logoutLink:hover
{
    color: #dcdcdc;
}

#hd_getTan
{
    /* margin-left: 10px; */
    margin-top: 0px;
    float: left;
    font-weight: 500;
    cursor: pointer;
    height: 40px;
    display: flex;
    align-items: center;
    background-color: #30B693;
    border-radius: 6px;
}

#hd_submitTan
{
    cursor: pointer;
}

#welcomeUser
{
    overflow-x: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.hd_noTANReceived
{
    margin-top: 5px;
    width: 100%;
    font-size: 13px;
}


.hd_noTANReceivedLink, .hd_linkWhenLoggedIn:visited, .hd_linkWhenLoggedIn:active, .hd_linkWhenLoggedIn:link
{
    color: #30b693;
    text-decoration: none;
}

.hd_noTANReceivedLink:hover
{
    color: #30b693;
}

input#hd_submitTan {
    height: 40px;
    padding: 0px 15px 0px 15px;
    margin-top: 0;
    font-size: 15px;
    border-radius: 8px;
}

#hd_toggleLogin {
    display: none;
    position: relative;
    height: 35px;
    border: none;
    border: 2px solid #30B693;
    color: #fff;
    background-color: #30B693;
    letter-spacing: 0.3px;
    margin: 30px 0 0 0;
    border-radius: 8px;
    align-items: center;
    font-size: 15px;
    font-weight: 500;
    padding-left: 38px;
    padding-right: 8px;
    font-family: 'Outfit';
    width: 120px;
    max-width: fit-content;
}

#hd_toggleLogin::before {
    background-image: url('../img/dataInput/icon_login.svg');
    background-position: 0 0;
    background-repeat: no-repeat;
    background-size: 100% auto;
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    left: 7px;
}
#hd_toggleLogin.is-menu::before {
    background-image: url('../img/dataInput/icon_menu.svg');
    background-position: 0 0;
    background-repeat: no-repeat;
    background-size: 100% auto;
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    left: 7px;
}

.loginInfo_txt {
    width: 100%;
    margin-bottom: 3px;
}
.loginInfo_txt.loginInfo_txt_doc{
    font-size: 13px;
    margin: 5px 0 20px 0;
}

.header_maintenanceWarning
{
	color: #8a6d3b;
	background-color: #fcf8e3;
	padding: 15px;
	border: 1px solid transparent;
}

.header_maintenanceWarningText
{
	width: 1030px;
	margin: auto;
	text-align: center;
	font-size: 20pt;
}

#header_areaCode
{
    float: left;
    margin-right: 3px;
    height: 40px;
    color:#585F68;
    padding: 5px 0 5px 5px;
    background: #FBFBFB 0% 0% no-repeat padding-box;
    border: 1px solid #CECCCC;
    border-radius: 8px;
    outline: none;
    font-size: 13px;
}

#header_areaCode:focus
{
    border: 1px solid #7AD2B8;
}

input#manageAppointmentInputTan {
    max-width: calc(100%  - 160px);
    width: 100%;
}

@media (hover: none) {

}/* noTouch END*/


@media only screen
and (max-width : 800px) {

    .header_outherHeader {
        height: 110px;
    }

    .header_innerHeader {
        padding: 0 15px;
        height: 110px;
    }
    .header_headerRightBG {
        height: 110px;
    }
    .header_logo {
        max-width: 210px;
        margin-top: 28px;
    }
    .header_manageAppointment {
        margin-top: 8px;
    }
    #header_areaCode {
        height: 35px;
    }
    .header_manageAppointment input[type="text"] {
        width: 110px;
        height: 35px !important;
    }
    .header_manageAppointment form#he_loginForm {
        display: flex;
        flex-wrap: wrap;
        justify-content: right;
    }
    #hd_getTan {
        height: 35px;
        margin-left: 5px;
    }
    .wrapper {
        padding: 0px 15px;
    }
    .login_navigation {
        margin: 8px 0 0 0;
    }

    input#hd_submitTan {
        height: 35px;

        margin-top: 0;
        font-size: 15px;
    }
}

@media only screen
and (max-width : 600px) {

    .header_logo {
        max-width: 175px;
        margin-top: 15px;
    }
    #hd_toggleLogin {

    }
    #hd_toggleLogin {
        display: flex;
    }

    .header_manageAppointment {
        max-height: 0;
        overflow: hidden;
        width: 100%;
        display: flex;
        max-width: 100%;
        margin-bottom: 0px;
    }

    .header_manageAppointment.is-open {
        max-height: 400px;
        margin: 10px 0 0px 0;
        border-top: 1px solid #eee;
        background-color: #f9f6f6;
        transform: translateX(-15px);
        width: calc(100vw + 0px);
        max-width: 100vw;
        position: relative;
        left: 0;
        right: 0px;
        overflow: visible;
        padding:10px 15px 10px 5px;
        min-width: calc(100vw + 0px);
    }

    #hd_toggleLogin.is-active::before {
        background-image: url('../img/dataInput/icon_close_login.svg');
        background-position: 0 0;
        background-repeat: no-repeat;
        background-size: 100% auto;
    }
    #hd_toggleLogin.is-active {
       background-color: #4A4A49;
        border-color: #4A4A49;
    }

    .header_headerRightBG {
        height: auto;
        min-height: 80px;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        z-index: 99;
    }
    .header_innerHeader {
        height: auto;
        min-height: 80px;
    }
    .header_outherHeader {
        height: auto;
    }

    .header_manageAppointment input[type="text"] {
        width: 135px;
        font-size: 16px !important;
    }
    #header_areaCode {
        font-size: 16px;
        padding: 5px 0 5px 2px;
    }
    #hd_getTan {
        padding: 0px 10px 0px 10px;
    }
    .header_manageAppointment.isAdmin .hd_linkWhenLoggedInAdmin {

        right: auto;
        bottom: auto;
        padding: 10px;
        background-color: #515151;
        color: #fff;
        border-top-left-radius: 0;
       top:0;
        left: 0;
        margin: 0;
        border-bottom-right-radius: 8px;
        height: 30px;
        line-height: 30px;
        display: flex;
        align-items: center;
        display: none;
    }
    .header_manageAppointment.isAdmin.is-open .hd_linkWhenLoggedInAdmin {

        display: flex;
    }
    .profileSwitcherContainer  {
        left: -15px;
        width: calc(100% + 30px);
        max-width: 100vw;
    }
    .header_manageAppointment.is-open .profileSwitcherContainer {
        left: 0;
        width: 100%;
        max-width: 100vw;
    }
}